Switch install-package calls to qapt-batch calls in Kubuntu

Bug #497803 reported by Celeste Lyn Paul on 2009-12-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Undecided
Jonathan Thomas
apturl (Ubuntu)
Wishlist
Unassigned
kpackagekit (Ubuntu)
Wishlist
Unassigned
kubuntu-notification-helper (Ubuntu)
Wishlist
Unassigned
language-selector (Ubuntu)
Wishlist
Unassigned
software-properties (Ubuntu)
Wishlist
Unassigned

Bug Description

All install-package calls need to be changed to kpackagekit.

description: updated
summary: - Switch install-package calls to kpackage calls in Kubuntu
+ Switch install-package calls to kpackagekit calls in Kubuntu

KPackageKit currently cannot really handle batch installing more than one package at a time. Currently one has to pass --install-from-name for every package that they want installed. Ideally we should only have to pass that flag once, then pass an entire list of packages for it to install.

affects: install-package (Ubuntu) → kpackagekit (Ubuntu)
Changed in kpackagekit (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Changed in apturl (Ubuntu):
importance: Undecided → Wishlist
Changed in language-selector (Ubuntu):
importance: Undecided → Wishlist
Changed in kubuntu-notification-helper (Ubuntu):
importance: Undecided → Wishlist
Changed in software-properties (Ubuntu):
importance: Undecided → Wishlist
Harald Sitter (apachelogger) wrote :

KPK also lacks a call to refresh the package list (compare to install-package --update)

Arne Goetje (arnegoetje) on 2010-03-18
Changed in language-selector (Ubuntu):
milestone: none → later
status: New → Confirmed
Jonathan Thomas (echidnaman) wrote :

The goal here is basically to kill install-package, now the goal is to change all calls to qapt-batch, a drop-in C++ replacement for install-package developed for this purpose.

Changed in kubuntu-notification-helper (Ubuntu):
status: New → Fix Released
summary: - Switch install-package calls to kpackagekit calls in Kubuntu
+ Switch install-package calls to qapt-batch calls in Kubuntu
Changed in language-selector (Ubuntu):
milestone: later → ubuntu-10.10-beta
Changed in software-properties (Ubuntu):
status: New → Triaged
Changed in language-selector (Ubuntu):
status: Confirmed → Triaged
Changed in apturl (Ubuntu):
status: New → Triaged
Changed in language-selector (Ubuntu):
milestone: ubuntu-10.10-beta → none
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-properties - 0.75.11

---------------
software-properties (0.75.11) maverick; urgency=low

  * Port software-properties-kde from using install-package to using
    qapt-batch, a C++ drop-in replacement (LP: #497803)
  * Replace dependency on install-package to qapt-batch in debian/control
  * Bump Standards-Version to 3.9.1, no changes required
 -- Jonathan Thomas <email address hidden> Fri, 06 Aug 2010 20:09:06 -0400

Changed in software-properties (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package language-selector - 0.6.2

---------------
language-selector (0.6.2) maverick; urgency=low

  [ Colin Watson ]
  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.

  [ Jonathan Thomas ]
  * Port language-selector-qt to qapt-batch
  * Replace the dependency on install-package to qapt-batch in
    debian/control (LP: #497803)
 -- Colin Watson <email address hidden> Tue, 13 Jul 2010 10:57:58 +0100

Changed in language-selector (Ubuntu):
status: Triaged → Fix Released
Jonathan Thomas (echidnaman) wrote :

Marking kpackagekit task invalid as it is not being considered as a replacement now.

Changed in kpackagekit (Ubuntu):
status: Triaged → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apturl - 0.4.1ubuntu6

---------------
apturl (0.4.1ubuntu6) maverick; urgency=low

  * Port apturl-kde to qapt-batch (LP: #497803)
  * Replace the dependency on install-package with one on qapt-batch
 -- Jonathan Thomas <email address hidden> Fri, 06 Aug 2010 23:02:03 -0400

Changed in apturl (Ubuntu):
status: Triaged → Fix Released
Jonathan Thomas (echidnaman) wrote :

Just need to update the CD/DVD seeds and install-package will be history. \o/

Changed in hundredpapercuts:
status: New → Fix Released
Vish (vish) wrote :

Leaving bug assigned to Jonathan Thomas, as it is easier to keep track of fixes.

Changed in hundredpapercuts:
assignee: nobody → Jonathan Thomas (echidnaman)
milestone: none → maverick-round-4-potpourri
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers